org.thewonderlemming.c4plantuml.mojo.linting

## Class BuiltInRules

- java.lang.Object
- - org.thewonderlemming.c4plantuml.mojo.linting.BuiltInRules

-     public class BuiltInRules
      extends Object

  A POJO to enforce typing for `AbstractCustomLintingRule` in the `pom.xml` file.
  Author:
    thewonderlemming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltInRules()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliasesShouldBeListedInDictionary` | `getAliasesShouldBeListedInDictionary()` A simple getter for the `aliasesShouldBeListedInDictionary` property.
    `AliasesShouldBeUnique` | `getAliasesShouldBeUnique()` A simple getter for the `aliasesShouldBeUnique` property.
    `AliasesShouldFollowStandardConvention` | `getAliasesShouldFollowStandardConvention()` A simple getter for the `aliasesShouldFollowStandardConvention` property.
    `NoDuplicateRelationships` | `getNoDuplicateRelationships()` A simple getter for the `noDuplicateRelationships` property.
    `NoOrphanAliasInBoundaries` | `getNoOrphanAliasInBoundaries()` A simple getter for the `noOrphanAliasInBoundaries` property.
    `NoOrphanAliasInLayouts` | `getNoOrphanAliasInLayouts()` A simple getter for the `noOrphanAliasInLayouts` property.
    `NoOrphanAliasInRelationships` | `getNoOrphanAliasInRelationships()` A simple getter for the `noOrphanAliasInRelationships` property.
    `void` | `setAliasesShouldBeListedInDictionary(AliasesShouldBeListedInDictionary aliasesShouldBeListedInDictionary)` A simple setter for the `aliasesShouldBeListedInDictionary` property.
    `void` | `setAliasesShouldBeUnique(AliasesShouldBeUnique aliasesShouldBeUnique)` A simple setter for the `aliasesShouldBeUnique` property.
    `void` | `setAliasesShouldFollowStandardConvention(AliasesShouldFollowStandardConvention aliasesShouldFollowStandardConvention)` A simple setter for the `aliasesShouldFollowStandardConvention` property.
    `void` | `setNoDuplicateRelationships(NoDuplicateRelationships noDuplicateRelationships)` A simple setter for the `noDuplicateRelationships` property.
    `void` | `setNoOrphanAliasInBoundaries(NoOrphanAliasInBoundaries noOrphanAliasInBoundaries)` A simple setter for the `noOrphanAliasInBoundaries` property.
    `void` | `setNoOrphanAliasInLayouts(NoOrphanAliasInLayouts noOrphanAliasInLayouts)` A simple setter for the `noOrphanAliasInLayouts` property.
    `void` | `setNoOrphanAliasInRelationships(NoOrphanAliasInRelationships noOrphanAliasInRelationships)` A simple setter for the `noOrphanAliasInRelationships` property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuiltInRules

          public BuiltInRules()

      Default constructor. Ensures that there won't be any `NullPointerException`.

  - ### Method Detail

    - #### getAliasesShouldBeListedInDictionary

          public AliasesShouldBeListedInDictionary getAliasesShouldBeListedInDictionary()

      A simple getter for the `aliasesShouldBeListedInDictionary` property.
      Returns:
        the value of the `aliasesShouldBeListedInDictionary` property.

    - #### getAliasesShouldBeUnique

          public AliasesShouldBeUnique getAliasesShouldBeUnique()

      A simple getter for the `aliasesShouldBeUnique` property.
      Returns:
        the value of the `aliasesShouldBeUnique` property.

    - #### getAliasesShouldFollowStandardConvention

          public AliasesShouldFollowStandardConvention getAliasesShouldFollowStandardConvention()

      A simple getter for the `aliasesShouldFollowStandardConvention` property.
      Returns:
        the value of the `aliasesShouldFollowStandardConvention` property.

    - #### getNoDuplicateRelationships

          public NoDuplicateRelationships getNoDuplicateRelationships()

      A simple getter for the `noDuplicateRelationships` property.
      Returns:
        the value of the `noDuplicateRelationships` property.

    - #### getNoOrphanAliasInBoundaries

          public NoOrphanAliasInBoundaries getNoOrphanAliasInBoundaries()

      A simple getter for the `noOrphanAliasInBoundaries` property.
      Returns:
        the value of the `noOrphanAliasInBoundaries` property.

    - #### getNoOrphanAliasInLayouts

          public NoOrphanAliasInLayouts getNoOrphanAliasInLayouts()

      A simple getter for the `noOrphanAliasInLayouts` property.
      Returns:
        the value of the `noOrphanAliasInLayouts` property.

    - #### getNoOrphanAliasInRelationships

          public NoOrphanAliasInRelationships getNoOrphanAliasInRelationships()

      A simple getter for the `noOrphanAliasInRelationships` property.
      Returns:
        the value of the `noOrphanAliasInRelationships` property.

    - #### setAliasesShouldBeListedInDictionary

          public void setAliasesShouldBeListedInDictionary(AliasesShouldBeListedInDictionary aliasesShouldBeListedInDictionary)

      A simple setter for the `aliasesShouldBeListedInDictionary` property.
      Parameters:
        `aliasesShouldBeListedInDictionary` - the value to set.

    - #### setAliasesShouldBeUnique

          public void setAliasesShouldBeUnique(AliasesShouldBeUnique aliasesShouldBeUnique)

      A simple setter for the `aliasesShouldBeUnique` property.
      Parameters:
        `aliasesShouldBeUnique` - the value to set.

    - #### setAliasesShouldFollowStandardConvention

          public void setAliasesShouldFollowStandardConvention(AliasesShouldFollowStandardConvention aliasesShouldFollowStandardConvention)

      A simple setter for the `aliasesShouldFollowStandardConvention` property.
      Parameters:
        `aliasesShouldFollowStandardConvention` - the value to set.

    - #### setNoDuplicateRelationships

          public void setNoDuplicateRelationships(NoDuplicateRelationships noDuplicateRelationships)

      A simple setter for the `noDuplicateRelationships` property.
      Parameters:
        `noDuplicateRelationships` - the value to set.

    - #### setNoOrphanAliasInBoundaries

          public void setNoOrphanAliasInBoundaries(NoOrphanAliasInBoundaries noOrphanAliasInBoundaries)

      A simple setter for the `noOrphanAliasInBoundaries` property.
      Parameters:
        `noOrphanAliasInBoundaries` - the value to set.

    - #### setNoOrphanAliasInLayouts

          public void setNoOrphanAliasInLayouts(NoOrphanAliasInLayouts noOrphanAliasInLayouts)

      A simple setter for the `noOrphanAliasInLayouts` property.
      Parameters:
        `noOrphanAliasInLayouts` - the value to set.

    - #### setNoOrphanAliasInRelationships

          public void setNoOrphanAliasInRelationships(NoOrphanAliasInRelationships noOrphanAliasInRelationships)

      A simple setter for the `noOrphanAliasInRelationships` property.
      Parameters:
        `noOrphanAliasInRelationships` - the value to set.

Copyright © 2020. All rights reserved.